View Issue Details

IDProjectCategoryView StatusLast Update
0001926Ham Radio DeluxeBugpublic2017-05-21 23:53
ReporterKB3NPH 
Assigned ToERIK 
PriorityhighSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.647 
Summary0001926: Issue when downloading from EQSL
Description Ticket #925409

Had TV session with Rick on this. When customer downloads from eQSL, when attempting to write to the logbook, system locks up. Rick said he was able to rep it.

TagsNo tags attached.
ModuleLogbook
Sub-ModuleeQSL
Testing

Relationships

Activities

WA9PIE

2016-12-03 12:20

administrator   ~0003026

Last edited: 2016-12-03 12:21

View 2 revisions

In the 610 build, I can confirm this.

What's happening is that Logbook is attempting to update ALL the WSI values after every single record is updated from eQSL. This is causing the WSI thingie to lockup and crash Logbook.

We do need to figure out why the crash is happening and I'm happy to let someone debug this.

HOWEVER... the WSI update should not be attempted until after the user closes the eQSL download dialog box (at which point, the same updates need to happen). (attaching image)

WORKAROUND - if the user starts Logbook WITHOUT a DX cluster connection... downloads the eQSL confirmations... and then connects to DX cluster, there will be no crash.

WA9PIE

2016-12-03 12:23

administrator  

eQSL-download-crash.JPG (167,696 bytes)
eQSL-download-crash.JPG (167,696 bytes)

WA9PIE

2016-12-03 12:25

administrator   ~0003027

I confirmed it and made notes in the bug record.

WA9PIE

2017-03-05 17:45

administrator   ~0003097

KaBOOM! Still happens in 633.

KaBOOM.PNG (329,878 bytes)

anonymous

2017-03-05 23:53    private

viewer   ~0003117

part of clusterfuck issues, reassign to erik

WA9PIE

2017-03-08 20:28

administrator   ~0003133

Confirmed and then assigned.

WA9PIE

2017-03-18 14:12

administrator   ~0003147

Tested, fixed...

Awesome!

WA9PIE

2017-03-19 16:45

administrator   ~0003149

Moved back to resolved while beta testers test.

WA9PIE

2017-03-21 21:20

administrator   ~0003155

Beta team and personal feedback considers these items closed.

Issue History

Date Modified Username Field Change
2016-08-11 13:56 KB3NPH New Issue
2016-12-03 12:20 WA9PIE Note Added: 0003026
2016-12-03 12:21 WA9PIE Note Edited: 0003026 View Revisions
2016-12-03 12:23 WA9PIE File Added: eQSL-download-crash.JPG
2016-12-03 12:25 WA9PIE Reported in Build (ie. 377) 563 => 610
2016-12-03 12:25 WA9PIE Note Added: 0003027
2016-12-03 12:25 WA9PIE Assigned To => WA9PIE
2016-12-03 12:25 WA9PIE Status new => confirmed
2017-03-05 17:45 WA9PIE File Added: KaBOOM.PNG
2017-03-05 17:45 WA9PIE Note Added: 0003097
2017-03-05 17:50 WA9PIE Assigned To WA9PIE => W4PC
2017-03-05 17:50 WA9PIE Priority normal => high
2017-03-05 17:50 WA9PIE Severity major => crash
2017-03-05 23:53 anonymous Note Added: 0003117
2017-03-06 07:25 WA9PIE Assigned To W4PC => ERIK
2017-03-08 00:06 WA9PIE Project 3 - Current Dev List => 2 - Next Dev List (Holding Area)
2017-03-08 00:08 WA9PIE Project 2 - Next Dev List (Holding Area) => 3 - Current Dev List
2017-03-08 20:28 WA9PIE Status confirmed => assigned
2017-03-08 20:28 WA9PIE Note Added: 0003133
2017-03-18 14:12 WA9PIE Status assigned => closed
2017-03-18 14:12 WA9PIE Resolution open => fixed
2017-03-18 14:12 WA9PIE Fixed in Release TBD => 6.4
2017-03-18 14:12 WA9PIE Fixed in Build (ie. 377) => 640
2017-03-18 14:12 WA9PIE Note Added: 0003147
2017-03-19 16:45 WA9PIE Status closed => resolved
2017-03-19 16:45 WA9PIE Note Added: 0003149
2017-03-21 21:20 WA9PIE Note Added: 0003155
2017-03-21 21:20 WA9PIE Status resolved => closed
2017-05-16 00:47 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-05-16 00:47 WA9PIE Fixed in Version => 6.4.0.647
2017-05-21 23:53 WA9PIE Fixed in Build (ie. 377) 640 =>